import request from '@/utils/require'

import {  business,loginUrl,inspectionApi } from '@/api/index'

//列表
export function getList(params) {
    return request({
        url: `${inspectionApi}/baseinfo`,
        method: 'post',
        data: params
    })
}


export function getbaseinfo(params) {
    return request({
        url: `${inspectionApi}/getbaseinfo?orgid=${params}`,
        method: 'post',
        data: params
    })
}

export function getbaseinfocha(params) {
    return request({
        url: `${inspectionApi}/getbaseinfocha?orgid=${params}`,
        method: 'post',
        data: params
    })
}

export function updatebaseinfo(params) {
    return request({
        url: `${inspectionApi}/getbaseinfo`,
        method: 'put',
        data: params
    })
}

//上报单位
export function inspectionUnit(params) {
    return request({
        url: `${loginUrl}/org/getJdjcTreeData?orgCode=${params}`,
        method: 'post',
    })
}
